View Issue Details

IDProjectCategoryView StatusLast Update
13638Bug reports[All Projects] Central participant databasepublic2018-05-25 11:30
Reportercorven Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version3.7.x 
Summary13638: Panel with user surveys doesn't load
Description

When clicking to check the list of surveys assigned to a user, the panel with the list of surveys doesn't show up. See attached the screenshot of the chrome console log

Additional Information

The panel opens as expected when the user hasn't been assigned to any survey.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.7.0 build 180418
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql 5.7
Server OS (if known)ubuntu 16.04
Webserver software & version (if known)nginx
PHP Version7

Activities

corven

corven

2018-04-26 05:04

reporter  

ScreenShot2018-04-23at4.43.46PM.png (130,196 bytes)
markusfluer

markusfluer

2018-04-27 12:49

administrator   ~47549

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27077

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47837

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master 1dde1f56

2018-04-26 19:38:43

markusfluer

Details Diff
Fixed issue 13638: Panel with user surveys doesn't load Affected Issues
13638
mod - application/models/Participant.php Diff File
mod - application/models/SurveyLink.php Diff File
mod - assets/packages/lslog/build/lslog.min.js Diff File
mod - assets/packages/lslog/gulpfile.js Diff File
add - assets/packages/lslog/package.json Diff File
add - assets/packages/lslog/yarn.lock Diff File
mod - assets/scripts/admin/participantpanel.js Diff File

Issue History

Date Modified Username Field Change
2018-04-26 05:04 corven New Issue
2018-04-26 05:04 corven File Added: ScreenShot2018-04-23at4.31.53PM_2018-04-24.png
2018-04-26 05:04 corven File Added: ScreenShot2018-04-23at4.43.46PM.png
2018-04-27 11:17 markusfluer Assigned To => markusfluer
2018-04-27 11:17 markusfluer Status new => resolved
2018-04-27 11:17 markusfluer Resolution open => fixed
2018-04-27 11:17 markusfluer Fixed in Version => 3.7.x
2018-04-27 12:49 markusfluer Changeset attached => LimeSurvey master 1dde1f56
2018-04-27 12:49 markusfluer Note Added: 47549
2018-05-25 11:30 c_schmitz Note Added: 47837
2018-05-25 11:30 c_schmitz Status resolved => closed